Subject: Re: What's the definition of a valid Git symbolic reference?

From: Tomas Carnecky <[email-masked]>
Date: Tue, 15 Feb 2011 06:02:57 +0100

On 2/15/11 4:49 AM, Emeric Fermas wrote:
> Another possibility would be that only git internal symbolic
> references are allowed to live under the ".git" dir (HEAD, FETCH_HEAD,
> ...) and that user defined symrefs should live under refs/. In this

All refs should live under refs/ (except the special ones like HEAD 
etc). It's usually a mistake if someone manages to create one outside of 
refs/. The plumbing commands allow you to do that, but users usually 
shouldn't use those.

tom